## voaacenc voaacenc — AAC audio encoder |

## Synopsis

    struct              GstVoAacEnc;

## Description

## Synopsis

### Element Information

plugin | voaacenc
author | Kan Hu <kan.hu@linaro.org>
class | Codec/Encoder/Audio

### Element Pads

name | sink
direction | sink
presence | always
details | audio/x-raw-int, width=(int)16, depth=(int)16, signed=(boolean)true, endianness=(int)1234, rate=(int)[ 8000, 96000 ], channels=(int)[ 1, 6 ]

name | src
direction | source
presence | always
details | audio/mpeg, mpegversion=(int)4, rate=(int)[ 8000, 96000 ], channels=(int)[ 1, 6 ], stream-format=(string){ adts, raw }

## Details

### struct GstVoAacEnc

    struct GstVoAacEnc {
      GstAudioEncoder element;

      gboolean discont;

      /* desired bitrate */
      gint bitrate;

      /* caps */
      gint channels;
      gint rate;
      gint output_format;

      gint inbuf_size;

      /* library handle */
      VO_AUDIO_CODECAPI codec_api;
      VO_HANDLE handle;
      VO_MEM_OPERATOR mem_operator;
    };